summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobby Russell <robby@planetargon.com>2013-11-04 12:29:42 -0800
committerRobby Russell <robby@planetargon.com>2013-11-04 12:29:42 -0800
commitb2376c3770753087b35140cc21e5b3223f46ee07 (patch)
treef6b2d059feb18e39329a559ba69049e556014a34
parent0d36ecfe387b164a13899ae2e7ac565b0abd0bbd (diff)
parent1f4bb8deb7bf166a43ed690b0961ab5a0b84523d (diff)
downloadzsh-b2376c3770753087b35140cc21e5b3223f46ee07.tar.gz
zsh-b2376c3770753087b35140cc21e5b3223f46ee07.tar.bz2
zsh-b2376c3770753087b35140cc21e5b3223f46ee07.zip
Merge pull request #1529 from aquaplanet/fix-sshagent-openbsd
Fix ssh-agent plugin for OpenBSD, making it more portable
-rw-r--r--plugins/ssh-agent/ssh-agent.plugin.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/plugins/ssh-agent/ssh-agent.plugin.zsh b/plugins/ssh-agent/ssh-agent.plugin.zsh
index 3b0042a7d..019322f7b 100644
--- a/plugins/ssh-agent/ssh-agent.plugin.zsh
+++ b/plugins/ssh-agent/ssh-agent.plugin.zsh
@@ -57,7 +57,7 @@ if [[ ${_plugin__forwarding} == "yes" && -n "$SSH_AUTH_SOCK" ]]; then
elif [ -f "${_plugin__ssh_env}" ]; then
# Source SSH settings, if applicable
. ${_plugin__ssh_env} > /dev/null
- ps -ef | grep ${SSH_AGENT_PID} | grep ssh-agent$ > /dev/null || {
+ ps -x | grep ${SSH_AGENT_PID} | grep ssh-agent > /dev/null || {
_plugin__start_agent;
}
else